[gupnp] Use same autogen.sh as Rygel



commit afbf0559568bbaa1b0a7264819b97200657fe21d
Author: Zeeshan Ali (Khattak) <zeeshanak gnome org>
Date:   Sun Jun 26 23:05:10 2011 +0300

    Use same autogen.sh as Rygel
    
    Steal Rygel's autogen.sh, which is superior since it relies almost
    completely on gnome-autogen.sh.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652824

 autogen.sh |   17 ++++++++++++++---
 1 files changed, 14 insertions(+), 3 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index f64061e..6d99bef 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,4 +1,15 @@
 #! /bin/sh
-gtkdocize || exit 1
-ACLOCAL="${ACLOCAL-aclocal} $ACLOCAL_FLAGS" autoreconf -v --install || exit 1
-./configure --enable-maintainer-mode --enable-debug "$@"
+
+which gnome-autogen.sh || {
+    echo "You need to install gnome-common from the GNOME git"
+    exit 1
+}
+
+mkdir -p m4
+
+# require automak 1.11 for vala support
+REQUIRED_AUTOMAKE_VERSION=1.11 \
+REQUIRED_AUTOCONF_VERSION=2.64 \
+REQUIRED_LIBTOOL_VERSION=2.2.6 \
+REQUIRED_INTLTOOL_VERSION=0.40.0 \
+gnome-autogen.sh "$@"



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]